package cn.com.infosec.mobile.android.log;

import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Build.VERSION;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.managers.CertManager;
import cn.com.infosec.mobile.android.util.Util;
import java.util.GregorianCalendar;
import java.util.ResourceBundle;
import java.util.logging.Formatter;
import java.util.logging.LogRecord;
import org.json.JSONException;
import org.json.JSONObject;

public class JSONFormatter extends Formatter {
   private void a2(StringBuilder sb, int x) {
      if (x < 10) {
         sb.append('0');
      }

      sb.append(x);
   }

   private void appendISO8601(StringBuilder sb, long millis) {
      GregorianCalendar var4;
      GregorianCalendar var10002 = var4 = new GregorianCalendar;
      var4.<init>();
      var4.setTimeInMillis(millis);
      sb.append(var4.get(1));
      sb.append('-');
      this.a2(sb, var4.get(2) + 1);
      sb.append('-');
      this.a2(sb, var4.get(5));
      sb.append('T');
      this.a2(sb, var4.get(11));
      sb.append(':');
      this.a2(sb, var4.get(12));
      sb.append(':');
      this.a2(sb, var10002.get(13));
   }

   public String format(LogRecord record) {
      Object var10000;
      label763: {
         LogRecord var166;
         JSONObject var167;
         boolean var10001;
         try {
            var166 = record;
            var167 = new JSONObject;
         } catch (JSONException var149) {
            var10000 = var149;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var150) {
            var10000 = var150;
            var10001 = false;
            break label763;
         }

         JSONObject var10002 = var167;
         JSONObject var2;
         JSONObject var10003 = var2 = var167;

         LogRecord var10004;
         JSONObject var10005;
         StringBuilder var10006;
         try {
            var10004 = record;
            var10005 = var2;
            var2.<init>();
            var10006 = new StringBuilder;
         } catch (JSONException var147) {
            var10000 = var147;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var148) {
            var10000 = var148;
            var10001 = false;
            break label763;
         }

         StringBuilder var3 = var10006;

         try {
            var3.<init>();
            this.appendISO8601(var3, record.getMillis());
         } catch (JSONException var145) {
            var10000 = var145;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var146) {
            var10000 = var146;
            var10001 = false;
            break label763;
         }

         String var156 = "date";

         try {
            var10005.put(var156, var10006.toString());
         } catch (JSONException var143) {
            var10000 = var143;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var144) {
            var10000 = var144;
            var10001 = false;
            break label763;
         }

         var156 = "millis";

         long var172;
         try {
            var172 = var10004.getMillis();
         } catch (JSONException var141) {
            var10000 = var141;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var142) {
            var10000 = var142;
            var10001 = false;
            break label763;
         }

         long var4 = var172;

         try {
            var10003.put(var156, var4);
         } catch (JSONException var139) {
            var10000 = var139;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var140) {
            var10000 = var140;
            var10001 = false;
            break label763;
         }

         try {
            var10003 = new JSONObject;
         } catch (JSONException var137) {
            var10000 = var137;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var138) {
            var10000 = var138;
            var10001 = false;
            break label763;
         }

         JSONObject var173 = var10003;
         var10005 = var10003;
         JSONObject var181 = var10003;
         JSONObject var10007 = var10003;
         JSONObject var10008 = var10003;
         JSONObject var157;
         JSONObject var10009 = var157 = var10003;

         try {
            var10009.<init>();
         } catch (JSONException var135) {
            var10000 = var135;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var136) {
            var10000 = var136;
            var10001 = false;
            break label763;
         }

         String var186 = "identifier";

         try {
            var10008.put(var186, Util.getIdentifier(IMSSdk.mContext));
         } catch (JSONException var133) {
            var10000 = var133;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var134) {
            var10000 = var134;
            var10001 = false;
            break label763;
         }

         String var185 = "brand";

         try {
            var10007.put(var185, Build.BRAND);
         } catch (JSONException var131) {
            var10000 = var131;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var132) {
            var10000 = var132;
            var10001 = false;
            break label763;
         }

         String var183 = "model";

         try {
            var181.put(var183, Build.MODEL);
         } catch (JSONException var129) {
            var10000 = var129;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var130) {
            var10000 = var130;
            var10001 = false;
            break label763;
         }

         String var182 = "network_type";

         try {
            var10005.put(var182, Util.getNetWorkType(IMSSdk.mContext));
         } catch (JSONException var127) {
            var10000 = var127;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var128) {
            var10000 = var128;
            var10001 = false;
            break label763;
         }

         try {
            var173.put("platform", "Android");
         } catch (JSONException var125) {
            var10000 = var125;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var126) {
            var10000 = var126;
            var10001 = false;
            break label763;
         }

         String var175 = "sys_version";

         try {
            var10003.put(var175, VERSION.SDK_INT);
         } catch (JSONException var123) {
            var10000 = var123;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var124) {
            var10000 = var124;
            var10001 = false;
            break label763;
         }

         try {
            var10002.put("device", var157);
         } catch (JSONException var121) {
            var10000 = var121;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var122) {
            var10000 = var122;
            var10001 = false;
            break label763;
         }

         try {
            var10002 = new JSONObject;
         } catch (JSONException var119) {
            var10000 = var119;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var120) {
            var10000 = var120;
            var10001 = false;
            break label763;
         }

         var10003 = var10002;
         var173 = var10002;
         var10005 = var10002;
         var181 = var157 = var10002;

         PackageManager var184;
         try {
            var181.<init>();
            var184 = IMSSdk.mContext.getPackageManager();
            var183 = IMSSdk.mContext.getPackageName();
         } catch (JSONException var117) {
            var10000 = var117;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var118) {
            var10000 = var118;
            var10001 = false;
            break label763;
         }

         String var158 = var183;
         String var5 = "app_version";

         try {
            var10005.put(var5, var184.getPackageInfo(var183, 1).versionName);
         } catch (JSONException var115) {
            var10000 = var115;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var116) {
            var10000 = var116;
            var10001 = false;
            break label763;
         }

         try {
            var173.put("packageName", var158);
         } catch (JSONException var113) {
            var10000 = var113;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var114) {
            var10000 = var114;
            var10001 = false;
            break label763;
         }

         try {
            var10003.put("sdk_version", "3.0.13.2");
         } catch (JSONException var111) {
            var10000 = var111;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var112) {
            var10000 = var112;
            var10001 = false;
            break label763;
         }

         String var171 = "core_sdk_version";

         try {
            var10002.put(var171, IMSSdk.version());
         } catch (JSONException var109) {
            var10000 = var109;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var110) {
            var10000 = var110;
            var10001 = false;
            break label763;
         }

         try {
            var167.put("app", var157);
         } catch (JSONException var107) {
            var10000 = var107;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var108) {
            var10000 = var108;
            var10001 = false;
            break label763;
         }

         Object[] var187;
         try {
            var187 = var166.getParameters();
         } catch (JSONException var105) {
            var10000 = var105;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var106) {
            var10000 = var106;
            var10001 = false;
            break label763;
         }

         Object[] var159 = var187;
         String var168;
         int var188;
         String var190;
         JSONObject var193;
         if (var187 != null) {
            try {
               var188 = var159.length;
            } catch (JSONException var103) {
               var10000 = var103;
               var10001 = false;
               break label763;
            } catch (PackageManager.NameNotFoundException var104) {
               var10000 = var104;
               var10001 = false;
               break label763;
            }

            if (var188 > 0) {
               try {
                  var188 = var159.length;
               } catch (JSONException var101) {
                  var10000 = var101;
                  var10001 = false;
                  break label763;
               } catch (PackageManager.NameNotFoundException var102) {
                  var10000 = var102;
                  var10001 = false;
                  break label763;
               }

               int var160 = var188;

               for(int var161 = 0; var161 < var160; ++var161) {
                  try {
                     var10000 = var159[var161];
                  } catch (JSONException var99) {
                     var10000 = var99;
                     var10001 = false;
                     break label763;
                  } catch (PackageManager.NameNotFoundException var100) {
                     var10000 = var100;
                     var10001 = false;
                     break label763;
                  }

                  Object var6 = var10000;

                  boolean var189;
                  try {
                     var189 = var10000 instanceof String;
                  } catch (JSONException var97) {
                     var10000 = var97;
                     var10001 = false;
                     break label763;
                  } catch (PackageManager.NameNotFoundException var98) {
                     var10000 = var98;
                     var10001 = false;
                     break label763;
                  }

                  if (var189) {
                     try {
                        var190 = (String)var6;
                     } catch (JSONException var95) {
                        var10000 = var95;
                        var10001 = false;
                        break label763;
                     } catch (PackageManager.NameNotFoundException var96) {
                        var10000 = var96;
                        var10001 = false;
                        break label763;
                     }

                     String var162 = var190;

                     try {
                        var189 = var190.startsWith("userName");
                     } catch (JSONException var93) {
                        var10000 = var93;
                        var10001 = false;
                        break label763;
                     } catch (PackageManager.NameNotFoundException var94) {
                        var10000 = var94;
                        var10001 = false;
                        break label763;
                     }

                     if (var189) {
                        String[] var191;
                        try {
                           var191 = var162.split(":");
                        } catch (JSONException var91) {
                           var10000 = var91;
                           var10001 = false;
                           break label763;
                        } catch (PackageManager.NameNotFoundException var92) {
                           var10000 = var92;
                           var10001 = false;
                           break label763;
                        }

                        String[] var163 = var191;

                        try {
                           var188 = var191.length;
                        } catch (JSONException var89) {
                           var10000 = var89;
                           var10001 = false;
                           break label763;
                        } catch (PackageManager.NameNotFoundException var90) {
                           var10000 = var90;
                           var10001 = false;
                           break label763;
                        }

                        if (var188 >= 2) {
                           String var192;
                           try {
                              var193 = var2;
                              var192 = var163[1];
                           } catch (JSONException var87) {
                              var10000 = var87;
                              var10001 = false;
                              break label763;
                           } catch (PackageManager.NameNotFoundException var88) {
                              var10000 = var88;
                              var10001 = false;
                              break label763;
                           }

                           var162 = var192;

                           try {
                              var167 = new JSONObject;
                           } catch (JSONException var85) {
                              var10000 = var85;
                              var10001 = false;
                              break label763;
                           } catch (PackageManager.NameNotFoundException var86) {
                              var10000 = var86;
                              var10001 = false;
                              break label763;
                           }

                           var10002 = var167;
                           JSONObject var7;
                           var10003 = var7 = var167;

                           try {
                              var10003.<init>();
                              var10002.put("user_name", var162);
                           } catch (JSONException var83) {
                              var10000 = var83;
                              var10001 = false;
                              break label763;
                           } catch (PackageManager.NameNotFoundException var84) {
                              var10000 = var84;
                              var10001 = false;
                              break label763;
                           }

                           var168 = "cert_dn";

                           CertManager var174;
                           try {
                              var174 = new CertManager;
                           } catch (JSONException var81) {
                              var10000 = var81;
                              var10001 = false;
                              break label763;
                           } catch (PackageManager.NameNotFoundException var82) {
                              var10000 = var82;
                              var10001 = false;
                              break label763;
                           }

                           CertManager var179 = var174;

                           try {
                              var179.<init>(IMSSdk.mContext);
                              var167.put(var168, var174.getCertField(var162, 0));
                           } catch (JSONException var79) {
                              var10000 = var79;
                              var10001 = false;
                              break label763;
                           } catch (PackageManager.NameNotFoundException var80) {
                              var10000 = var80;
                              var10001 = false;
                              break label763;
                           }

                           try {
                              var193.put("user", var7);
                           } catch (JSONException var77) {
                              var10000 = var77;
                              var10001 = false;
                              break label763;
                           } catch (PackageManager.NameNotFoundException var78) {
                              var10000 = var78;
                              var10001 = false;
                              break label763;
                           }
                        }
                     }
                  }
               }
            }
         }

         var166 = record;
         var167 = var2;
         LogRecord var169 = record;
         var156 = "sequence";

         long var170;
         try {
            var170 = var169.getSequenceNumber();
         } catch (JSONException var75) {
            var10000 = var75;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var76) {
            var10000 = var76;
            var10001 = false;
            break label763;
         }

         var4 = var170;

         try {
            var167.put(var156, var4);
         } catch (JSONException var73) {
            var10000 = var73;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var74) {
            var10000 = var74;
            var10001 = false;
            break label763;
         }

         try {
            var190 = var166.getLoggerName();
         } catch (JSONException var71) {
            var10000 = var71;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var72) {
            var10000 = var72;
            var10001 = false;
            break label763;
         }

         var156 = var190;
         if (var190 != null) {
            try {
               var2.put("mLogger", var156);
            } catch (JSONException var69) {
               var10000 = var69;
               var10001 = false;
               break label763;
            } catch (PackageManager.NameNotFoundException var70) {
               var10000 = var70;
               var10001 = false;
               break label763;
            }
         }

         var166 = record;
         var167 = var2;
         var168 = "level";

         try {
            var167.put(var168, record.getLevel().toString());
         } catch (JSONException var67) {
            var10000 = var67;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var68) {
            var10000 = var68;
            var10001 = false;
            break label763;
         }

         try {
            var190 = var166.getSourceClassName();
         } catch (JSONException var65) {
            var10000 = var65;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var66) {
            var10000 = var66;
            var10001 = false;
            break label763;
         }

         LogRecord var194;
         if (var190 != null) {
            var193 = var2;
            var194 = record;
            var156 = "class";

            try {
               var193.put(var156, var194.getSourceClassName());
            } catch (JSONException var63) {
               var10000 = var63;
               var10001 = false;
               break label763;
            } catch (PackageManager.NameNotFoundException var64) {
               var10000 = var64;
               var10001 = false;
               break label763;
            }
         }

         try {
            var190 = record.getSourceMethodName();
         } catch (JSONException var61) {
            var10000 = var61;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var62) {
            var10000 = var62;
            var10001 = false;
            break label763;
         }

         if (var190 != null) {
            var193 = var2;
            var194 = record;
            var156 = "method";

            try {
               var193.put(var156, var194.getSourceMethodName());
            } catch (JSONException var59) {
               var10000 = var59;
               var10001 = false;
               break label763;
            } catch (PackageManager.NameNotFoundException var60) {
               var10000 = var60;
               var10001 = false;
               break label763;
            }
         }

         var166 = record;
         var167 = var2;
         var169 = record;
         var156 = "thread";

         try {
            var167.put(var156, var169.getThreadID());
         } catch (JSONException var57) {
            var10000 = var57;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var58) {
            var10000 = var58;
            var10001 = false;
            break label763;
         }

         try {
            var190 = var166.getMessage();
         } catch (JSONException var55) {
            var10000 = var55;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var56) {
            var10000 = var56;
            var10001 = false;
            break label763;
         }

         if (var190 != null) {
            try {
               var2.put("message", this.formatMessage(record));
            } catch (JSONException var53) {
               var10000 = var53;
               var10001 = false;
               break label763;
            } catch (PackageManager.NameNotFoundException var54) {
               var10000 = var54;
               var10001 = false;
               break label763;
            }
         }

         ResourceBundle var195;
         try {
            var195 = record.getResourceBundle();
         } catch (JSONException var51) {
            var10000 = var51;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var52) {
            var10000 = var52;
            var10001 = false;
            break label763;
         }

         ResourceBundle var151 = var195;
         String var152;
         if (var195 != null) {
            label761: {
               try {
                  var190 = var151.getString(record.getMessage());
               } catch (Exception var10) {
                  var10001 = false;
                  break label761;
               }

               if (var190 != null) {
                  label762: {
                     var193 = var2;
                     var194 = record;
                     var10002 = var2;
                     LogRecord var176 = record;
                     var152 = "key";

                     try {
                        var10002.put(var152, var176.getMessage());
                     } catch (Exception var9) {
                        var10001 = false;
                        break label762;
                     }

                     var152 = "catalog";

                     try {
                        var193.put(var152, var194.getResourceBundleName());
                     } catch (Exception var8) {
                        var10001 = false;
                     }
                  }
               }
            }
         }

         try {
            var187 = record.getParameters();
         } catch (JSONException var49) {
            var10000 = var49;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var50) {
            var10000 = var50;
            var10001 = false;
            break label763;
         }

         Object[] var153 = var187;
         int var196;
         if (var187 != null) {
            try {
               var188 = var153.length;
            } catch (JSONException var47) {
               var10000 = var47;
               var10001 = false;
               break label763;
            } catch (PackageManager.NameNotFoundException var48) {
               var10000 = var48;
               var10001 = false;
               break label763;
            }

            if (var188 != 0) {
               try {
                  var188 = record.getMessage().indexOf("{");
               } catch (JSONException var45) {
                  var10000 = var45;
                  var10001 = false;
                  break label763;
               } catch (PackageManager.NameNotFoundException var46) {
                  var10000 = var46;
                  var10001 = false;
                  break label763;
               }

               if (var188 == -1) {
                  int var164 = 0;

                  while(true) {
                     try {
                        var188 = var164;
                        var196 = var153.length;
                     } catch (JSONException var39) {
                        var10000 = var39;
                        var10001 = false;
                        break label763;
                     } catch (PackageManager.NameNotFoundException var40) {
                        var10000 = var40;
                        var10001 = false;
                        break label763;
                     }

                     if (var188 >= var196) {
                        break;
                     }

                     var193 = var2;
                     Object[] var197 = var153;
                     int var177 = var164;
                     var171 = "param_";

                     try {
                        var171 = var171.concat(String.valueOf(var164));
                     } catch (JSONException var43) {
                        var10000 = var43;
                        var10001 = false;
                        break label763;
                     } catch (PackageManager.NameNotFoundException var44) {
                        var10000 = var44;
                        var10001 = false;
                        break label763;
                     }

                     var158 = var171;

                     try {
                        var193.put(var158, var197[var177].toString());
                     } catch (JSONException var41) {
                        var10000 = var41;
                        var10001 = false;
                        break label763;
                     } catch (PackageManager.NameNotFoundException var42) {
                        var10000 = var42;
                        var10001 = false;
                        break label763;
                     }

                     ++var164;
                  }
               }
            }
         }

         Throwable var198;
         try {
            var198 = record.getThrown();
         } catch (JSONException var37) {
            var10000 = var37;
            var10001 = false;
            break label763;
         } catch (PackageManager.NameNotFoundException var38) {
            var10000 = var38;
            var10001 = false;
            break label763;
         }

         if (var198 != null) {
            try {
               var198 = record.getThrown();
            } catch (JSONException var35) {
               var10000 = var35;
               var10001 = false;
               break label763;
            } catch (PackageManager.NameNotFoundException var36) {
               var10000 = var36;
               var10001 = false;
               break label763;
            }

            Throwable var178 = var198;
            var167 = var2;
            var152 = "message";

            try {
               var167.put(var152, var178.toString());
            } catch (JSONException var33) {
               var10000 = var33;
               var10001 = false;
               break label763;
            } catch (PackageManager.NameNotFoundException var34) {
               var10000 = var34;
               var10001 = false;
               break label763;
            }

            StackTraceElement[] var200;
            try {
               var200 = var198.getStackTrace();
            } catch (JSONException var31) {
               var10000 = var31;
               var10001 = false;
               break label763;
            } catch (PackageManager.NameNotFoundException var32) {
               var10000 = var32;
               var10001 = false;
               break label763;
            }

            StackTraceElement[] var155 = var200;
            int record1 = 0;

            while(true) {
               try {
                  var188 = record1;
                  var196 = var155.length;
               } catch (JSONException var13) {
                  var10000 = var13;
                  var10001 = false;
                  break label763;
               } catch (PackageManager.NameNotFoundException var14) {
                  var10000 = var14;
                  var10001 = false;
                  break label763;
               }

               if (var188 >= var196) {
                  break;
               }

               StackTraceElement var199;
               try {
                  var193 = var2;
                  var199 = var155[record1];
               } catch (JSONException var29) {
                  var10000 = var29;
                  var10001 = false;
                  break label763;
               } catch (PackageManager.NameNotFoundException var30) {
                  var10000 = var30;
                  var10001 = false;
                  break label763;
               }

               StackTraceElement var165 = var199;
               var10002 = var2;
               StackTraceElement var180 = var165;
               var175 = "class_";

               try {
                  var175 = var175.concat(String.valueOf(record1));
               } catch (JSONException var27) {
                  var10000 = var27;
                  var10001 = false;
                  break label763;
               } catch (PackageManager.NameNotFoundException var28) {
                  var10000 = var28;
                  var10001 = false;
                  break label763;
               }

               var158 = var175;

               try {
                  var10002.put(var158, var180.getClassName());
               } catch (JSONException var25) {
                  var10000 = var25;
                  var10001 = false;
                  break label763;
               } catch (PackageManager.NameNotFoundException var26) {
                  var10000 = var26;
                  var10001 = false;
                  break label763;
               }

               var168 = "method_";

               try {
                  var168 = var168.concat(String.valueOf(record1));
               } catch (JSONException var23) {
                  var10000 = var23;
                  var10001 = false;
                  break label763;
               } catch (PackageManager.NameNotFoundException var24) {
                  var10000 = var24;
                  var10001 = false;
                  break label763;
               }

               var158 = var168;

               try {
                  var193.put(var158, var199.getMethodName());
               } catch (JSONException var21) {
                  var10000 = var21;
                  var10001 = false;
                  break label763;
               } catch (PackageManager.NameNotFoundException var22) {
                  var10000 = var22;
                  var10001 = false;
                  break label763;
               }

               try {
                  var188 = var165.getLineNumber();
               } catch (JSONException var19) {
                  var10000 = var19;
                  var10001 = false;
                  break label763;
               } catch (PackageManager.NameNotFoundException var20) {
                  var10000 = var20;
                  var10001 = false;
                  break label763;
               }

               if (var188 >= 0) {
                  var193 = var2;
                  var199 = var165;
                  var168 = "line_";

                  try {
                     var168 = var168.concat(String.valueOf(record1));
                  } catch (JSONException var17) {
                     var10000 = var17;
                     var10001 = false;
                     break label763;
                  } catch (PackageManager.NameNotFoundException var18) {
                     var10000 = var18;
                     var10001 = false;
                     break label763;
                  }

                  var156 = var168;

                  try {
                     var193.put(var156, var199.getLineNumber());
                  } catch (JSONException var15) {
                     var10000 = var15;
                     var10001 = false;
                     break label763;
                  } catch (PackageManager.NameNotFoundException var16) {
                     var10000 = var16;
                     var10001 = false;
                     break label763;
                  }
               }

               ++record1;
            }
         }

         try {
            return var2.toString().concat("\n");
         } catch (JSONException var11) {
            var10000 = var11;
            var10001 = false;
         } catch (PackageManager.NameNotFoundException var12) {
            var10000 = var12;
            var10001 = false;
         }
      }

      ((Exception)var10000).printStackTrace();
      return null;
   }
}
